summaryrefslogtreecommitdiff
path: root/hg/post-apt.d/50hg-commit
diff options
context:
space:
mode:
authorMathieu Clabaut <mathieu.clabaut@gmail.com>2007-12-21 15:47:30 -0600
committerJoey Hess <joey@kodama.kitenet.net>2008-01-03 19:53:46 -0500
commitee9cbb397107f216db196b2a7717f278a51b578d (patch)
tree060d3799d16046e0bd32f4bce387ae1a57e61413 /hg/post-apt.d/50hg-commit
parent83d1b75cabbd594019ea6fb0395c4d27e38d8aa3 (diff)
Move git files to hg one
Diffstat (limited to 'hg/post-apt.d/50hg-commit')
-rw-r--r--hg/post-apt.d/50hg-commit12
1 files changed, 12 insertions, 0 deletions
diff --git a/hg/post-apt.d/50hg-commit b/hg/post-apt.d/50hg-commit
new file mode 100644
index 0000000..1a5c55a
--- /dev/null
+++ b/hg/post-apt.d/50hg-commit
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+
+if [ -d .git ]; then
+
+ # TODO: figure out what packages were acted on by the apt run, and
+ # include that info in the commit message
+ message="committing changes after apt run"
+
+ # ignore exit code since it exits nonzero if there is nothing to do
+ git commit $GIT_COMMIT_OPTIONS -m "$message" || true
+fi